Skip to content
Billing Management

Fee estimate

This interface is used to estimate the transaction fees for a specified securities account order. By providing the stock symbol symbol, trade direction side, price price, quantity quantity, currency currency, and account number account_no, it returns the estimated total fee total_amount and a detailed fee breakdown list bills, helping users understand the cost structure before placing an order.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/fee/estimate

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

symbolstringrequired

Stock Symbol. Stock Symbol

sideobject

the operation side: Buy or Sell. the operation side: Buy or Sell

pricestringrequired

Price. Price

quantitystringrequired

Quantity. Quantity

currencystringrequired

Currency. Currency

account_nostringrequired

Account Profile. Account Profile

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
total_amountstringrequired

Total Fee. Total Fee

billsarray<object>required

Detail. Detail

Child attributes
codestring

Fee Code. Fee Code

namestring

Fee Name. Fee Name

amountstring

Fee Amount. Fee Amount

dep_codestring

Dependent Fee Code. Dependent Fee Code

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs